cbone
@cbone
Серверная инфраструктура

Поддерживает ли bootstrap 3 ie6?

Страничка свёрстана на bootstrap 3, и встала задача реализовать поддержку IE6. Не обязательно реализовывать полную совместимость, добиться хотябы чтобы сайт не разваливался. Может есть у кого готовое решение?

PS: Поясню почему именно IE6 чтобы не было ответов типо "IE6 Динозавр" и т.п.
Cтраничка создана для внутреннего пользования, где на большинстве ПК установлена Win XP со стандартным IE6. Обновлять на всех рабочих станциях нет возможности и не на всех есть доступ во внешку.
  • Вопрос задан
  • 4122 просмотра
Пригласить эксперта
Ответы на вопрос 7
@IoannGrozny
Front-end разработчик
Бутстрап в принципе не поддерживает ИЕ6, а третий бутстрап и ИЕ7 не поддерживает. Так что, я бы сказал, что требуется полная перевёрстка(добавить файл ie6.css и подгружать его для шестого ослика).
Ответ написан
HDApache
@HDApache
PHP программист
Придется переверстать в любом случае.
Ответ написан
Комментировать
iiil
@iiil
Инженер и вэб-дизайнер, рисую.
Придется полностью переделать. Я на 2.5 буду готовить отдельный шаблон для ie6, скорее всего таблицами. Правда у меня поддержка ie6 только в виде информационной странички.
А нет возможности всем установить chrome или мозиллу? Они с ранних версий поддерживаются bootstrap'om, и с xp совместимы. Кроме того не придется ничего переверстывать, максимум сделать заглушку, чтобы при заходе через ie6-7 подсказывала, что надо открыть через хром или мозиллу.
Ответ написан
shiza36
@shiza36
Про переверстку уже все сказали.
У вас разве нет возможности сделать при заходе на страницу скачивание нового браузера с инструкцией по установке?
Ответ написан
HDApache
@HDApache
PHP программист
Ну раз переверстать не комильфо то может тогда Вам подойдет Google Chrome Frame

habrahabr.ru/post/70370
Выглядит фантастически, но это правда. В Google разработали плагин для Internet Explorer под названием Google Chrome Frame, который может переключать рендеринг со стандартного на имеющийся на борту WebKit для поддержки фич от тегов html5 до быстрого javascript-движка


https://support.google.com/chrome/answer/161796?hl=ru
Если вы откроете в Internet Explorer веб-страницу, на которой используются открытые веб-технологии, система предложит вам установить Google Chrome Frame. Установите этот плагин, следуя инструкциям сайта.
Ответ написан
foxmuldercp
@foxmuldercp
Системный администратор, программист, фотограф
1. Для установки IE7/8 на XP внешний доступ не нужен, дистрибутив в пару десятков метров запустить либо с флешки либо с сетевого ресурса, установки или bat или батником или групповыми политиками - дело 5 минут и перезагрузки.
2. установить тормозиллу/хром точно так же, дело 5 минут без перезагрузки.
Заодно решите проблему безопасности, т.к на ie6 очень много атак. Ну и сайты начнут у пользователй нормально открываться.
и не надо придумывать себе костылей.
Ответ написан
Комментировать
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы